/* You can add global styles to this file, and also import other style files */
@import "~bootstrap/dist/css/bootstrap.css";

label {
    color: #888;
}

.form-box legend {
    font-size: inherit;
    line-height: 30px;
    font-weight: 600;
    text-transform: uppercase;
    color: #555;
}

.form-box input[type="text"],
.form-box input[type="email"],
.form-box input[type="password"] {
    background: none;
    border: 1px solid #ddd;
    font-family: 'Open Sans', sans-serif;
    font-size: 15px;
    font-weight: 400;
    color: #888;
    box-shadow: none;
}

.form-box input[type="text"]:focus,
.form-box input[type="email"]:focus,
.form-box input[type="password"]:focus,
button:focus {
    outline: 0 !important;
    background: none;
    border: 2px solid #0D89EC;
    box-shadow: none !important;
}

.form-box input[type="text"]::-moz-placeholder,
.form-box input[type="email"]::-moz-placeholder,
.form-box input[type="password"]::-moz-placeholder {
    color: #bbb;
    font-style: italic;
}

.form-box input[type="text"]:-ms-input-placeholder,
.form-box input[type="email"]:-ms-input-placeholder,
.form-box input[type="password"]:-ms-input-placeholder {
    color: #bbb;
    font-style: italic;
}

.form-box input[type="text"]::-webkit-input-placeholder,
.form-box input[type="email"]::-webkit-input-placeholder,
.form-box input[type="password"]::-webkit-input-placeholder {
    color: #bbb;
    font-style: italic;
}

button:disabled {
    cursor: not-allowed;
    pointer-events: all !important;
}

button {
    font-weight: 600 !important;

    &:disabled {
        border-color: #E0E0E0 !important;
        background: #E0E0E0 !important;
        color: #717782 !important;
    }
}

h3 {
    color: #0162AD;
    font-weight: 600;
}

.p-button-primary, .btn-primary {
    background: #0162AD !important;
}
